Name:           dSFMT
Version:        2.2.3
Release:        1%{?dist}
Summary:        Double precision SIMD-oriented Fast Mersenne Twister

License:        Freely redistributable without restriction
URL:            http://www.math.sci.hiroshima-u.ac.jp/~%20m-mat/MT/SFMT/index.html
Source0:        http://www.math.sci.hiroshima-u.ac.jp/~%20m-mat/MT/SFMT/%{name}-src-%{version}.tar.gz

Patch0:         %{name}-%{version}_sharedlib.patch
Patch1:         %{name}-%{version}_pkgconfig.patch

#BuildRequires:  
#Requires:       

%description
The purpose of dSFMT is to speed up the generation by avoiding
the expensive conversion of integer to double (floating point).
dSFMT directly generates double precision floating point pseudorandom
numbers which have the IEEE Standard for Binary Floating-Point
Arithmetic (ANSI/IEEE Std 754-1985) format.

dSFMT is only available on the CPUs which use IEEE 754 format
double precision floating point numbers.

dSFMT doesn't support integer outputs.
dSFMT supports the output of double precision floating point
pseudorandom numbers which distribute in the range of
[1, 2), [0, 1), (0, 1] and (0, 1).
And it also supports the various periods form 2607-1 to 2132049-1.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p 1
%patch1 -p 0

%build
make %{?_smp_mflags} \
    sharedlib \
    LIBDIR=%{_libdir} CCFLAGS="-fPIC %{optflags}"



%install
rm -rf $RPM_BUILD_ROOT
%make_install \
    DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}

install -pm644 %{name}.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc ./CHANGE-LOG.txt ./LICENSE.txt
%doc README.txt README.jp.txt
%{_libdir}/*.so.*

%files devel
%doc html/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h


%changelog
* Thu Jun  5 2014 Xavier Lamien <laxathom@fedoraproject.org> - 2.2.3-1
- Initial RPM release.
